Bug 220990 - [NEW PORT] audio/py-jack: PyJack is a Python bindings for the Jack Audio Server
Summary: [NEW PORT] audio/py-jack: PyJack is a Python bindings for the Jack Audio Server
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Richard Gallamore
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-25 04:56 UTC by Yuri Victorovich
Modified: 2017-08-20 18:33 UTC (History)
1 user (show)

See Also:


Attachments
shar (2.50 KB, text/plain)
2017-07-25 04:56 UTC, Yuri Victorovich
no flags Details
shar (2.58 KB, text/plain)
2017-08-11 05:43 UTC, Yuri Victorovich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2017-07-25 04:56:01 UTC
Created attachment 184687 [details]
shar

QAs:
* builds in poudriere
* passes portlint
* test program ran fine

It is usually named py-jack or PyJack. Leaving the second py- prefix is silly, so it is named audio/py-jack.
Comment 1 Yuri Victorovich freebsd_committer 2017-08-11 05:43:07 UTC
Created attachment 185262 [details]
shar
Comment 2 Richard Gallamore freebsd_committer 2017-08-19 06:03:47 UTC
Looks good, only one WWW though, I chose cheeseshop, change it in the next update if you rather the other.
Comment 3 Yuri Victorovich freebsd_committer 2017-08-19 06:14:43 UTC
Ok!
Comment 4 commit-hook freebsd_committer 2017-08-19 17:51:43 UTC
A commit references this bug:

Author: ultima
Date: Sat Aug 19 17:51:20 UTC 2017
New revision: 448347
URL: https://svnweb.freebsd.org/changeset/ports/448347

Log:
  PyJack is a module written in C which exposes the Jack API to Python.
  For information about Jack see http://jackit.sourceforge.net. This
  enables a Python program to connect to and interact with pro-audio
  applications which use the Jack Audio Server.

  WWW: https://pypi.python.org/pypi/py-jack

  PR:		220990
  Submitted by:	Yuri Victorovich (maintainer)
  Reviewed by:	matthew (mentor)
  Approved by:	matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D12079

Changes:
  head/audio/Makefile
  head/audio/py-jack/
  head/audio/py-jack/Makefile
  head/audio/py-jack/distinfo
  head/audio/py-jack/files/
  head/audio/py-jack/files/patch-pyjack.c
  head/audio/py-jack/pkg-descr
Comment 5 Richard Gallamore freebsd_committer 2017-08-19 18:16:26 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2017-08-20 18:33:33 UTC
A commit references this bug:

Author: ultima
Date: Sun Aug 20 18:33:16 UTC 2017
New revision: 448438
URL: https://svnweb.freebsd.org/changeset/ports/448438

Log:
  Renamed to py-py-jack to match PyPI package name

  PR:		220990
  Reviewed by:	matthew (mentor)
  Approved by:	matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D12079

Changes:
  head/MOVED
  head/audio/Makefile
  head/audio/py-jack/
  head/audio/py-py-jack/
  head/audio/py-py-jack/Makefile